View Issue Details

IDProjectCategoryView StatusLast Update
0002974Slicer4Core: GUIpublic2016-10-13 02:00
ReporterpinterAssigned Toalexy 
PriorityhighSeveritymajorReproducibilityN/A
Status closedResolutionwon't fix 
Product VersionSlicer 4.2.2-1 
Target VersionFixed in VersionSlicer 4.6.0 
Summary0002974: Opacity set to a ModelHierarchy multiplies the children's opacities
Description

The opacity of a ModelHierarchy can be set, but apparently does nothing. A good approach would be to multiply the hierarchy opacity number by the children's opacity values and use those percentages for the actual display

TagsNo tags attached.

Relationships

related to 0002738 acknowledgedjcfr Visibility checkbox in Models module does not work in case of hierarchy nodes 

Activities

2013-02-26 11:09

 

boss_color_off.png (265 bytes)
boss_color_off.png (265 bytes)

2013-02-26 11:09

 

boss_color_on.png (247 bytes)
boss_color_on.png (247 bytes)
pinter

pinter

2013-02-26 11:27

developer   ~0008053

Instead of multiplying the opacities, the checkbox next to the ModelHierarchy node could be used to override the opacity value for its children (as it did before), but this feature is not very obvious.
A toggle button with the two attached icons for this "boss" mode could make it more straightforward.

alexy

alexy

2013-08-16 07:36

developer   ~0009487

Currently the checkbox on a parent applies both Color and Opacity to children (though the tip only mentions color, which is a bug).
Do you want control color and opacity separately? Do you have a specific use case when it is needed?

pinter

pinter

2013-08-16 07:41

developer   ~0009488

No, I think connecting the models both ways makes sense. However, the set values do not get applied (the display is not updated), only if I hide and show a child model.

Is the checkbox self-explanatory? I created those icons so that the users know what it does.

alexy

alexy

2013-09-20 06:00

developer   ~0010031

re-targeted for future

pieper

pieper

2014-03-07 06:23

administrator   ~0011327

@Csaba - is this something that is really major and high priority for the 4.4 release? If so, would you consider taking it on?

pinter

pinter

2014-03-19 10:57

developer   ~0011454

No, this is not high priority. Can be pushed forward. Thanks!

pinter

pinter

2016-01-26 12:12

developer   ~0013748

I'm closing this issue as the original problem was that the checkbox did not work, but it does force the parent opacity to the child nodes now, and the feature that was recommended in this ticket is not really necessary, but was proposed as a way to fix the original problem.

Issue History

Date Modified Username Field Change
2013-02-22 08:54 pinter New Issue
2013-02-22 08:54 pinter Status new => assigned
2013-02-22 08:54 pinter Assigned To => kikinis
2013-02-22 09:20 kikinis Assigned To kikinis => alexy
2013-02-26 11:09 pinter File Added: boss_color_off.png
2013-02-26 11:09 pinter File Added: boss_color_on.png
2013-02-26 11:18 jcfr Priority normal => high
2013-02-26 11:18 jcfr Target Version => Slicer 4.3.0
2013-02-26 11:27 pinter Note Added: 0008053
2013-08-16 07:36 alexy Note Added: 0009487
2013-08-16 07:36 alexy Status assigned => feedback
2013-08-16 07:41 pinter Note Added: 0009488
2013-08-20 13:56 jcfr Relationship added related to 0002738
2013-09-03 11:27 jcfr Target Version Slicer 4.3.0 => Slicer 4.3.1
2013-09-20 06:00 alexy Note Added: 0010031
2013-09-20 06:00 alexy Target Version Slicer 4.3.1 => Slicer 4.4.0
2014-03-07 06:23 pieper Note Added: 0011327
2014-03-19 10:57 pinter Note Added: 0011454
2014-03-19 15:01 pieper Status feedback => acknowledged
2014-03-19 15:01 pieper Target Version Slicer 4.4.0 =>
2016-01-26 12:12 pinter Note Added: 0013748
2016-01-26 12:12 pinter Status acknowledged => closed
2016-01-26 12:12 pinter Resolution open => won't fix
2016-01-26 12:12 pinter Fixed in Version => Slicer 4.5.1
2016-10-13 02:00 jcfr Fixed in Version Slicer 4.5.1 => Slicer 4.6.0